Delete timeslot
1 min
Delete an existing timeslot
Delete an existing timeslot in an event
DELETE
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/{timeslotId}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
- {timeslotId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/{timeslotId}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": [
{
"id": "107877",
"type": "timeslot",
"attributes": {
"title": "Updated title of your session",
"reservable": "false",
"duration": "90",
"location": "Main hall and Venue",
"content": {
"blocks": [
{
"text": "You can write ",
"type": "unstyled",
"depth": "0",
"entity-ranges": [],
"inline-style-ranges": []
},
{
"text": "html",
"type": "unstyled",
"depth": "0",
"entity-ranges": [],
"inline-style-ranges": []
},
{
"text": " or just have a string. Anything here will be converted to DraftJs-consumable object",
"type": "unstyled",
"depth": "0",
"entity-ranges": [],
"inline-style-ranges": []
}
],
"entity-map": {}
},
"subtitle": "",
"highlight-position": {},
"stream-link": {},
"chat-channel-id": "timeslot-107877",
"start-time": "2025-11-27T00:30:00.000Z",
"end-time": "2025-11-27T02:00:00.000Z",
"tag-order": [
"74339",
"74340",
"74341",
"74342",
"74583"
]
},
"relationships": {
"tags": {
"data": [
{
"id": "74339",
"type": "tag"
},
{
"id": "74340",
"type": "tag"
},
{
"id": "74341",
"type": "tag"
},
{
"id": "74342",
"type": "tag"
},
{
"id": "74583",
"type": "tag"
}
]
},
"locations": {
"data": [
{
"id": "74343",
"type": "tag"
}
]
},
"speaker-assignments": {
"data": []
},
"speakers": {
"data": []
},
"tabs": {
"data": []
},
"attendee-groups": {
"data": []
},
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
}
],
"included": [
{
"id": "74339",
"type": "tag",
"attributes": {
"name": "Track 1",
"color": "#58D78E",
"updated-at": "2023-03-24T10:06:02.026Z",
"created-at": "2023-03-24T10:06:02.026Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
},
{
"id": "74340",
"type": "tag",
"attributes": {
"name": "Keynote 1",
"color": "#58D78E",
"updated-at": "2023-03-24T10:06:02.038Z",
"created-at": "2023-03-24T10:06:02.038Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
},
{
"id": "74341",
"type": "tag",
"attributes": {
"name": "UX",
"color": "#58D78E",
"updated-at": "2023-03-24T10:06:02.048Z",
"created-at": "2023-03-24T10:06:02.048Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
},
{
"id": "74342",
"type": "tag",
"attributes": {
"name": "AI",
"color": "#58D78E",
"updated-at": "2023-03-24T10:06:02.057Z",
"created-at": "2023-03-24T10:06:02.057Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
},
{
"id": "74583",
"type": "tag",
"attributes": {
"name": "A test tag",
"color": "#58D78E",
"updated-at": "2023-03-27T08:45:11.105Z",
"created-at": "2023-03-27T08:45:11.105Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
},
{
"id": "74343",
"type": "tag",
"attributes": {
"name": "Main hall and Venue",
"color": "#58D78E",
"updated-at": "2023-03-24T10:06:02.065Z",
"created-at": "2023-03-24T10:06:02.065Z"
},
"relationships": {
"event": {
"data": {
"id": "197444",
"type": "event"
}
}
}
}
],
"meta": {
"failures": []
}
}